v_hdmitxss: xv_hdmitxss_log.c File Reference

| v_hdmitxss Xilinx SDK Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List
- Examples

Functions
xv_hdmitxss_log.c File Reference

## Overview

Note
  None.

    MODIFICATION HISTORY:

    Ver   Who  Date     Changes

    1.0   YH   17/08/16 Initial release.
    1.01  MMO  03/01/17 Add compiler option(XV_HDMITXSS_LOG_ENABLE) to enable Log
    5.0   EB   16/01/18 Added new log XV_HDMITXSS_LOG_EVT_PIX_REPEAT_ERR
               23/01/18 Minor cleanup

## Functions
void | XV_HdmiTxSs_LogReset (XV_HdmiTxSs *InstancePtr)
| This function will reset the driver's logging mechanism. More...
void | XV_HdmiTxSs_LogWrite (XV_HdmiTxSs *InstancePtr, XV_HdmiTxSs_LogEvent Evt, u8 Data)
| This function will insert an event in the driver's logginc mechanism. More...
u16 | XV_HdmiTxSs_LogRead (XV_HdmiTxSs *InstancePtr)
| This function will read the last event from the log. More...
void | XV_HdmiTxSs_LogDisplay (XV_HdmiTxSs *InstancePtr)
| This function will print the entire log. More...

## Function Documentation

void XV_HdmiTxSs_LogDisplay | ( | XV_HdmiTxSs * | InstancePtr | ) |

This function will print the entire log.

Parameters

  InstancePtr | is a pointer to the XV_HdmiTxSs core instance.

Returns
  None.

Note
  None.

References XV_HDMITXSS_LOG_EVT_AUDIOMUTE, XV_HDMITXSS_LOG_EVT_AUDIOUNMUTE, XV_HDMITXSS_LOG_EVT_BRDG_UNLOCKED, XV_HDMITXSS_LOG_EVT_CONNECT, XV_HDMITXSS_LOG_EVT_DISCONNECT, XV_HDMITXSS_LOG_EVT_HDCP14_AUTHREQ, XV_HDMITXSS_LOG_EVT_HDCP14_INIT, XV_HDMITXSS_LOG_EVT_HDCP22_AUTHREQ, XV_HDMITXSS_LOG_EVT_HDCP22_INIT, XV_HDMITXSS_LOG_EVT_HDCPTIMER_INIT, XV_HDMITXSS_LOG_EVT_HDMITX_INIT, XV_HDMITXSS_LOG_EVT_NONE, XV_HDMITXSS_LOG_EVT_PIX_REPEAT_ERR, XV_HDMITXSS_LOG_EVT_RESET, XV_HDMITXSS_LOG_EVT_SETAUDIOCHANNELS, XV_HDMITXSS_LOG_EVT_SETSTREAM, XV_HDMITXSS_LOG_EVT_START, XV_HDMITXSS_LOG_EVT_STOP, XV_HDMITXSS_LOG_EVT_STREAMDOWN, XV_HDMITXSS_LOG_EVT_STREAMSTART, XV_HDMITXSS_LOG_EVT_STREAMUP, XV_HDMITXSS_LOG_EVT_TOGGLE, XV_HDMITXSS_LOG_EVT_VTC_INIT, XV_HDMITXSS_LOG_EVT_VTC_RES_ERR, and XV_HdmiTxSs_LogRead().

u16 XV_HdmiTxSs_LogRead | ( | XV_HdmiTxSs * | InstancePtr | ) |

This function will read the last event from the log.

Parameters

  InstancePtr | is a pointer to the XV_HdmiTxSs core instance.

Returns
  The log data.

Note
  None.

References XV_HdmiTxSs_Log::DataBuffer, XV_HdmiTxSs_Log::HeadIndex, XV_HdmiTxSs::Log, and XV_HdmiTxSs_Log::TailIndex.

Referenced by XV_HdmiTxSs_LogDisplay().

void XV_HdmiTxSs_LogReset | ( | XV_HdmiTxSs * | InstancePtr | ) |

This function will reset the driver's logging mechanism.

Parameters

  InstancePtr | is a pointer to the xv_hdmitxss core instance.

Returns
  None.

Note
  None.

References XV_HdmiTxSs_Log::HeadIndex, XV_HdmiTxSs::Log, and XV_HdmiTxSs_Log::TailIndex.

void XV_HdmiTxSs_LogWrite | ( | XV_HdmiTxSs * | InstancePtr,
|  | XV_HdmiTxSs_LogEvent | Evt,
|  | u8 | Data
| ) |  |

This function will insert an event in the driver's logginc mechanism.

Parameters

  InstancePtr | is a pointer to the XV_HdmiTxSs core instance.
  Evt | is the event type to log.
  Data | is the associated data for the event.

Returns
  None.

Note
  None.

References XV_HdmiTxSs_Log::DataBuffer, XV_HdmiTxSs_Log::HeadIndex, XV_HdmiTxSs::Log, XV_HdmiTxSs_Log::TailIndex, and XV_HDMITXSS_LOG_EVT_DUMMY.

Referenced by XV_HdmiTxSs_AudioMute(), XV_HdmiTxSs_Reset(), XV_HdmiTxSs_SetAudioChannels(), XV_HdmiTxSs_SetStream(), XV_HdmiTxSs_Start(), XV_HdmiTxSs_Stop(), XV_HdmiTxSs_StreamStart(), XV_HdmiTxSs_SubcoreInitHdmiTx(), and XV_HdmiTxSs_SubcoreInitVtc().